Package com.avaya.clientservices.messaging

## Enum MessagingError.ErrorCode

- java.lang.Object
- - java.lang.Enum<MessagingError.ErrorCode>
  - - com.avaya.clientservices.messaging.MessagingError.ErrorCode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<MessagingError.ErrorCode>`
  Enclosing class:
    MessagingError

      public static enum MessagingError.ErrorCode
      extends java.lang.Enum<MessagingError.ErrorCode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ATTACHMENT_NOT_FOUND` | Requested attachment not found.
    `ATTACHMENT_SIZE_EXCEEDED` | Attachment size exceeds server limit.
    `AUTHENTICATION_ERROR` | The server rejected the request due to an authentication error.
    `BODY_LENGTH_EXCEEDED` | Body text length in request was exceeded.
    `CANCELLED` | The operation was cancelled.
    `CERTIFICATE_ERROR` | The server rejected the request due to an certificate error.
    `CONNECTION_ERROR` | A connection error occured.
    `CONVERSATION_ALREADY_EXISTS` | Conversation already exists.
    `CONVERSATION_NOT_FOUND` | Requested conversation could not be found.
    `EMPTY_ATTACHMENT` | Number of attachments exceeds the limit.
    `EMPTY_MESSAGE` | Cannot send message with no text or attachments.
    `FAILED_TO_OPEN_DESTINATION_FILE` | Cannot open destination file for attachment.
    `FAILED_TO_OPEN_FILE_TO_ATTACH` | Cannot open file to attach.
    `FORCED_LOGOUT` | The server has forcibly logged the session out.
    `HTML_BODY_LENGTH_EXCEEDED` | HTML Body text length in request was exceeded.
    `IDENTITY_BAD_CERTIFICATE` | Client certificate is corrupt or in other way invalid.
    `IDENTITY_EXPIRED_CERTIFICATE` | Client certificate has expired.
    `IDENTITY_NO_CERTIFICATE` | Client certificate is missing.
    `IDENTITY_REVOKED_CERTIFICATE` | Client certificate was revoked by the issuing authority.
    `IDENTITY_UNKNOWN_CA` | Client certificate was issued by an unknown authority.
    `IDENTITY_UNSUPPORTED_CERTIFICATE` | Client certificate type is not supported by the server.
    `INTERNAL_ERROR` | An internal error occurred.
    `INVALID_IDENTITY_CERTIFICATE` | Client identity certificate is rejected by the server.
    `INVALID_RESPONSE` | The server returned an invalid response.
    `INVALID_STATE` | The operation is not valid for the current state.
    `MAX_NUMBER_OF_ATTACHMENTS_LIMIT_EXCEEDED` | Number of attachments exceeds the limit.
    `MESSAGE_NOT_FOUND` | Message for query not found.
    `NO_PARTICIPANTS` | Request cannot be completed because there are no participants in the conversation.
    `PARTICIPANT_ADDRESS_INVALID` | Participant address is incorrect.
    `PARTICIPANTS_MISMATCH` | The message recipients do not match the conversation participants.
    `PROXY_AUTHENTICATION_ERROR` | The authentication credentials provided for logging into the proxy were rejected.
    `PROXY_CONNECTION_ERROR` | A connection could not be established to the proxy server.
    `RETRY_LIMIT_EXCEEDED` | The request exceeded the maximum number of retries.
    `SECURE_CONNECTION_FAILED` | The server rejected the request due to an ssl error.
    `SERVER_ERROR` | The server rejected the request.
    `SUBJECT_LENGTH_EXCEEDED` | Subject text length in request was exceeded.
    `THUMBNAIL_SIZE_EXCEEDED` | Thumbnail size exceeds the limit.
    `TIMEOUT` | The request timed out.
    `UNKNOWN` | An unknown error.
    `UNSUPPORTED` | The requested operation is not supported.
    `UNSUPPORTED_MEDIA_TYPE_FOR_ATTACHMENT_THUMBNAIL` | Attachment thumbnail media type is not supported.
    `WRONG_ATTACHMENT_PATH` | Attachment path is invalid.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MessagingError.ErrorCode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static MessagingError.ErrorCode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final MessagingError.ErrorCode UNKNOWN

      An unknown error. If this error code is received it is a bug.

    - #### UNSUPPORTED

          public static final MessagingError.ErrorCode UNSUPPORTED

      The requested operation is not supported.

    - #### CANCELLED

          public static final MessagingError.ErrorCode CANCELLED

      The operation was cancelled.

    - #### INVALID_STATE

          public static final MessagingError.ErrorCode INVALID_STATE

      The operation is not valid for the current state.

    - #### INTERNAL_ERROR

          public static final MessagingError.ErrorCode INTERNAL_ERROR

      An internal error occurred.

    - #### TIMEOUT

          public static final MessagingError.ErrorCode TIMEOUT

      The request timed out.

    - #### RETRY_LIMIT_EXCEEDED

          public static final MessagingError.ErrorCode RETRY_LIMIT_EXCEEDED

      The request exceeded the maximum number of retries.

    - #### INVALID_RESPONSE

          public static final MessagingError.ErrorCode INVALID_RESPONSE

      The server returned an invalid response.

    - #### AUTHENTICATION_ERROR

          public static final MessagingError.ErrorCode AUTHENTICATION_ERROR

      The server rejected the request due to an authentication error.

    - #### CERTIFICATE_ERROR

          public static final MessagingError.ErrorCode CERTIFICATE_ERROR

      The server rejected the request due to an certificate error.

    - #### IDENTITY_NO_CERTIFICATE

          public static final MessagingError.ErrorCode IDENTITY_NO_CERTIFICATE

      Client certificate is missing.

    - #### IDENTITY_BAD_CERTIFICATE

          public static final MessagingError.ErrorCode IDENTITY_BAD_CERTIFICATE

      Client certificate is corrupt or in other way invalid.

    - #### IDENTITY_UNSUPPORTED_CERTIFICATE

          public static final MessagingError.ErrorCode IDENTITY_UNSUPPORTED_CERTIFICATE

      Client certificate type is not supported by the server.

    - #### IDENTITY_REVOKED_CERTIFICATE

          public static final MessagingError.ErrorCode IDENTITY_REVOKED_CERTIFICATE

      Client certificate was revoked by the issuing authority.

    - #### IDENTITY_EXPIRED_CERTIFICATE

          public static final MessagingError.ErrorCode IDENTITY_EXPIRED_CERTIFICATE

      Client certificate has expired.

    - #### IDENTITY_UNKNOWN_CA

          public static final MessagingError.ErrorCode IDENTITY_UNKNOWN_CA

      Client certificate was issued by an unknown authority.

    - #### SECURE_CONNECTION_FAILED

          public static final MessagingError.ErrorCode SECURE_CONNECTION_FAILED

      The server rejected the request due to an ssl error.

    - #### CONNECTION_ERROR

          public static final MessagingError.ErrorCode CONNECTION_ERROR

      A connection error occured.

    - #### SERVER_ERROR

          public static final MessagingError.ErrorCode SERVER_ERROR

      The server rejected the request.

    - #### NO_PARTICIPANTS

          public static final MessagingError.ErrorCode NO_PARTICIPANTS

      Request cannot be completed because there are no participants in the conversation.

    - #### ATTACHMENT_NOT_FOUND

          public static final MessagingError.ErrorCode ATTACHMENT_NOT_FOUND

      Requested attachment not found.

    - #### PARTICIPANT_ADDRESS_INVALID

          public static final MessagingError.ErrorCode PARTICIPANT_ADDRESS_INVALID

      Participant address is incorrect.

    - #### MESSAGE_NOT_FOUND

          public static final MessagingError.ErrorCode MESSAGE_NOT_FOUND

      Message for query not found.

    - #### BODY_LENGTH_EXCEEDED

          public static final MessagingError.ErrorCode BODY_LENGTH_EXCEEDED

      Body text length in request was exceeded.

    - #### SUBJECT_LENGTH_EXCEEDED

          public static final MessagingError.ErrorCode SUBJECT_LENGTH_EXCEEDED

      Subject text length in request was exceeded.

    - #### ATTACHMENT_SIZE_EXCEEDED

          public static final MessagingError.ErrorCode ATTACHMENT_SIZE_EXCEEDED

      Attachment size exceeds server limit.

    - #### THUMBNAIL_SIZE_EXCEEDED

          public static final MessagingError.ErrorCode THUMBNAIL_SIZE_EXCEEDED

      Thumbnail size exceeds the limit.

    - #### FAILED_TO_OPEN_DESTINATION_FILE

          public static final MessagingError.ErrorCode FAILED_TO_OPEN_DESTINATION_FILE

      Cannot open destination file for attachment.

    - #### FAILED_TO_OPEN_FILE_TO_ATTACH

          public static final MessagingError.ErrorCode FAILED_TO_OPEN_FILE_TO_ATTACH

      Cannot open file to attach.

    - #### WRONG_ATTACHMENT_PATH

          public static final MessagingError.ErrorCode WRONG_ATTACHMENT_PATH

      Attachment path is invalid.

    - #### UNSUPPORTED_MEDIA_TYPE_FOR_ATTACHMENT_THUMBNAIL

          public static final MessagingError.ErrorCode UNSUPPORTED_MEDIA_TYPE_FOR_ATTACHMENT_THUMBNAIL

      Attachment thumbnail media type is not supported.

    - #### MAX_NUMBER_OF_ATTACHMENTS_LIMIT_EXCEEDED

          public static final MessagingError.ErrorCode MAX_NUMBER_OF_ATTACHMENTS_LIMIT_EXCEEDED

      Number of attachments exceeds the limit.

    - #### EMPTY_MESSAGE

          public static final MessagingError.ErrorCode EMPTY_MESSAGE

      Cannot send message with no text or attachments.

    - #### INVALID_IDENTITY_CERTIFICATE

          public static final MessagingError.ErrorCode INVALID_IDENTITY_CERTIFICATE

      Client identity certificate is rejected by the server.

    - #### EMPTY_ATTACHMENT

          public static final MessagingError.ErrorCode EMPTY_ATTACHMENT

      Number of attachments exceeds the limit.

    - #### CONVERSATION_ALREADY_EXISTS

          public static final MessagingError.ErrorCode CONVERSATION_ALREADY_EXISTS

      Conversation already exists.

    - #### PROXY_CONNECTION_ERROR

          public static final MessagingError.ErrorCode PROXY_CONNECTION_ERROR

      A connection could not be established to the proxy server.

    - #### PROXY_AUTHENTICATION_ERROR

          public static final MessagingError.ErrorCode PROXY_AUTHENTICATION_ERROR

      The authentication credentials provided for logging into the proxy were rejected.

    - #### CONVERSATION_NOT_FOUND

          public static final MessagingError.ErrorCode CONVERSATION_NOT_FOUND

      Requested conversation could not be found.

    - #### PARTICIPANTS_MISMATCH

          public static final MessagingError.ErrorCode PARTICIPANTS_MISMATCH

      The message recipients do not match the conversation participants.

    - #### FORCED_LOGOUT

          public static final MessagingError.ErrorCode FORCED_LOGOUT

      The server has forcibly logged the session out.

    - #### HTML_BODY_LENGTH_EXCEEDED

          public static final MessagingError.ErrorCode HTML_BODY_LENGTH_EXCEEDED

      HTML Body text length in request was exceeded.

  - ### Method Detail

    - #### values

          public static MessagingError.ErrorCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MessagingError.ErrorCode c : MessagingError.ErrorCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MessagingError.ErrorCode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null